Package com.io7m.idstore.model

# Enum Class IdEmailVerificationResolution

java.lang.Object
java.lang.Enum<IdEmailVerificationResolution>
com.io7m.idstore.model.IdEmailVerificationResolution

All Implemented Interfaces:
  `Serializable`, `Comparable<IdEmailVerificationResolution>`, `Constable`

public enum IdEmailVerificationResolution extends Enum<IdEmailVerificationResolution>
The reason an email verification was deleted.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DENIED`
  The verification challenge was denied.
  `EXPIRED`
  The verification challenge expired.
  `PERMITTED`
  The verification challenge was permitted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdEmailVerificationResolution`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdEmailVerificationResolution[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERMITTED

    public static final IdEmailVerificationResolution PERMITTED
    The verification challenge was permitted.

  - ### DENIED

    public static final IdEmailVerificationResolution DENIED
    The verification challenge was denied.

  - ### EXPIRED

    public static final IdEmailVerificationResolution EXPIRED
    The verification challenge expired.

- ## Method Details

  - ### values

    public static IdEmailVerificationResolution[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdEmailVerificationResolution valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null